unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    MyHDC : HDC;
    RT : TRect;
    MyCaption : String;
    MyFont : TFont;
    MyBrush : TBrush;
    MyPen : TPen;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  MyHDC := GetWindowDC(Handle);
  MyFont := TFont.Create;
  MyBrush := TBrush.Create;
  MyPen := TPen.Create;
  MyFont.Name := 'Impact';
  MyFont.Size := 11;
  MyFont.Style := [fsItalic];
  MyPen.Style := psClear;
  SelectObject(MyHDC,MyFont.Handle);
  SelectObject(MyHDC,MyPen.Handle);
  SetBkMode(MyHDC,TRANSPARENT);
  MyCaption := Caption;
  Caption := '';
  Application.OnDeactivate := FormPaint;
end;

procedure TForm1.FormPaint(Sender: TObject);
var
i : integer;
begin
  for i := 0 to 10 do
  begin
    MyBrush.Color := RGB(i * 10 + 100, i * 8 + 80, i * 6 + 160);
    SelectObject(MyHDC,MyBrush.Handle);
    Ellipse(MyHDC,Round(width / 2) - 100 + i, 4 + i , Round(width / 2) + 100 - i, 23 - i);
  end;
  RT := Rect(0,5,width + 4,25);
  SetTextColor(MyHDC,$00000000);
  DrawText(MyHDC,PChar(MyCaption),Length(MyCaption),RT,DT_CENTER);
  RT := Rect(0,3,width,25);
  SetTextColor(MyHDC,$00FFFFD9);
  DrawText(MyHDC,PChar(MyCaption),Length(MyCaption),RT,DT_CENTER);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  MyPen.Free;
  MyBrush.Free;
  MyFont.Free;
  DeleteDC(MyHDC);
end;

procedure TForm1.FormResize(Sender: TObject);
var
RGN1, RGN2 : HRGN;
begin
  RGN1 := CreateRectRgn(4,23,Width - 8, Height - 27);
  Rgn2 := CreateEllipticRgn(Round(width / 2) - 100 , 4 , Round(width / 2) + 100 ,23);
  CombineRgn(RGN1,RGN1,RGN2,RGN_OR);
  Rgn2 := CreateEllipticRgn(Width - 20, 6, Width - 8, 19);
  CombineRgn(RGN1,RGN1,RGN2,RGN_OR);
  SetWindowRgn(Handle,RGN1,true);
  FormPaint(Sender);
end;

end.
